Bug 892114 - libmusicbrainz5 is AFPL licensed files included
Summary: libmusicbrainz5 is AFPL licensed files included
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libmusicbrainz5 (Show other bugs)
(Show other bugs)
Version: 18
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christophe Fergeau
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2013-01-05 09:16 UTC by mejiko
Modified: 2013-01-20 03:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-20 03:07:04 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description mejiko 2013-01-05 09:16:49 UTC
Hello.

libmusicbrainz5 included non-free files.

Source RPM is "libmusicbrainz5-5.0.1-2.fc18.src.rpm"


Files:

libmusicbrainz-5.0.1/src/xmlParser.cpp

License: AFPL

Its non-free. 

Note: AFPL is "Aladdin Free Public License"


This bug is already reported (Upstream BTS and Fedora-legal mailing list).


https://lists.fedoraproject.org/pipermail/legal/2012-November/002028.html
https://lists.fedoraproject.org/pipermail/legal/2012-November/002029.html
http://tickets.musicbrainz.org/browse/LMB-34?page=com.atlassian.jira.plugin.system.issuetabpanels%3Aall-tabpanel


Suggests:

1. Remove non-free file and rebuild.
2. replace fedora-free file.
3. Remove Fedora repos.


Thanks.


Reference

https://www.gnu.org/licenses/license-list.html#NonFreeSoftwareLicense
http://artifex.com/downloads/doc/Public.htm
https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Bad_Licenses

Comment 1 mejiko 2013-01-05 09:17:22 UTC
Blocking FE-Legal, This is license problem.

Comment 2 mejiko 2013-01-05 09:24:58 UTC
This bug is affected libmusicbrainz4, See bug #892113

Comment 3 Fedora Update System 2013-01-07 18:45:39 UTC
libmusicbrainz5-5.0.1-3.fc18,libmusicbrainz4-4.0.3-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libmusicbrainz5-5.0.1-3.fc18,libmusicbrainz4-4.0.3-3.fc18

Comment 4 Fedora Update System 2013-01-08 20:16:57 UTC
Package libmusicbrainz5-5.0.1-3.fc18, libmusicbrainz4-4.0.3-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libmusicbrainz5-5.0.1-3.fc18 libmusicbrainz4-4.0.3-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-0417/libmusicbrainz5-5.0.1-3.fc18,libmusicbrainz4-4.0.3-3.fc18
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-01-20 03:07:06 UTC
libmusicbrainz5-5.0.1-3.fc18, libmusicbrainz4-4.0.3-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.